AnsweredAssumed Answered

ArcGIS Javascript API and Dojo version

Question asked by peterlen on Sep 9, 2014
Latest reply on Sep 9, 2014 by peterlen

Hello - I had a quick question which i can't seem to find the answer for.  We are using ArcGIS 10.0 and from that, we are using the ArcGIS Javascript API v2.2 which includes the Dojo API v1.5.0.  What I am trying to figure out is a two-part questions:

 

1)  Is there some list that states what versions of the ArcGIS Javascript API contain which versions of the Dojo API?

 

2)  Is a given version of the ArcGIS Javascript API dependent on the version of ArcGIS?  For example, If I donwloaded the newest version of the Javascript API, would it work with ArcGIS 10.0?

 

The reason I ask this is that I need to find which ArcGIS Javascript API version contains Dojo v1.6.x.  I realize that Dojo is up to v1.10 but I cannot move up to Dojo v1.7 due to its upgrade to use AMD (our app would have to be converted).  I need the Dojo v1.6.x to get the most stable version of the TreeGrid object before the v1.7 release.  So, the bottom line, is how can I find which version of the ArcGIS Javascript API contains the Dojo v1.6.x version?

 

 

Thanks for any thoughts - Peter

Outcomes